imsettings-switch(1)

NAME
imsettings-switch - Switch Input Method

SYNOPSIS
imsettings-switch
[ -hnqrx ] [ --no-update ] [ --quiet ] [ --restart ] [ --read-xinputrc ] [ --help ] [Input Method name | configuration filename]

DESCRIPTION
imsettings-switch switches Input Method which is managed under imsettings. Either Input Method name or configuration filename are required unless \FC--read-xinputrc\F[] option is specified to determine the target from \FC$HOME/.config/imsettings/xinputrc\F[] or \FC$xinputrcdir/xinputrc\F[].

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

\FC-n\F[] \FC--no-update\F[]
    Do not update \FC$HOME/imsettings/xinputrc\F[]. without this option, imsettings-switch will updates it with the targeted Input Method.

\FC-q\F[] \FC--quiet\F[]
    Do not show any messages except errors.

\FC-r\F[] \FC--restart\F[]
    Restart the given Input Method or one which is determined from xinputrc by \FC--read-xinputrc\F[] option.

\FC-x\F[] \FC--read-xinputrc\F[]
    Determine the targeted Input Method from \FC$HOME/imsettings/xinputrc\F[] or \FC$xinputrcdir/xinputrc\F[] if not available.

\FC-h\F[] \FC--help\F[]
    Show summary of options

Input Method name
    Switch Input Method to Input Method name.

configuration filename
    Switch Input Method to configuration filename.

SEE ALSO
imsettings-list(1) imsettings-reload(1)

AUTHOR
This manual page was written by Akira TAGOH <\FCakira@tagoh.org\F[]>